# HG changeset patch
# Node ID 328acd569641
# Parent  b867c3e03cb0
diff --git a/pidgin/gtkaccount.c b/pidgin/gtkaccount.c
--- a/pidgin/gtkaccount.c
+++ b/pidgin/gtkaccount.c
@@ -431,7 +431,7 @@
 	GList *l, *l2;
 	char *username = NULL;
 	GtkCssProvider *entry_css;
-	const gchar *res = "/im/pidgin/Pidgin/Accounts/entry.css";
+	const gchar *res = "/im/pidgin/Pidgin3/Accounts/entry.css";
 
 	entry_css = gtk_css_provider_new();
 	gtk_css_provider_load_from_resource(entry_css, res);
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -5845,7 +5845,7 @@
 set_default_tab_colors(GtkWidget *widget)
 {
 	GtkCssProvider *provider = gtk_css_provider_new();
-	const gchar *res = "/im/pidgin/Pidgin/Conversations/tab-label.css";
+	const gchar *res = "/im/pidgin/Pidgin3/Conversations/tab-label.css";
 
 	gtk_css_provider_load_from_resource(provider, res);
 
diff --git a/pidgin/gtkprivacy.c b/pidgin/gtkprivacy.c
--- a/pidgin/gtkprivacy.c
+++ b/pidgin/gtkprivacy.c
@@ -265,7 +265,7 @@
 	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
 
 	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin/Privacy/dialog.ui");
+	        widget_class, "/im/pidgin/Pidgin3/Privacy/dialog.ui");
 
 	gtk_widget_class_bind_template_child(widget_class, PidginPrivacyDialog,
 	                                     account_chooser);
diff --git a/pidgin/gtkroomlist.c b/pidgin/gtkroomlist.c
--- a/pidgin/gtkroomlist.c
+++ b/pidgin/gtkroomlist.c
@@ -497,7 +497,7 @@
 	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
 
 	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin/Roomlist/roomlist.ui");
+	        widget_class, "/im/pidgin/Pidgin3/Roomlist/roomlist.ui");
 
 	gtk_widget_class_bind_template_child(widget_class, PidginRoomlistDialog,
 	                                     account_widget);
diff --git a/pidgin/gtkwhiteboard.c b/pidgin/gtkwhiteboard.c
--- a/pidgin/gtkwhiteboard.c
+++ b/pidgin/gtkwhiteboard.c
@@ -663,7 +663,7 @@
 	obj_class->finalize = pidgin_whiteboard_finalize;
 
 	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin/Whiteboard/whiteboard.ui");
+	        widget_class, "/im/pidgin/Pidgin3/Whiteboard/whiteboard.ui");
 
 	gtk_widget_class_bind_template_child(widget_class, PidginWhiteboard,
 	                                     drawing_area);
diff --git a/pidgin/gtkxfer.c b/pidgin/gtkxfer.c
--- a/pidgin/gtkxfer.c
+++ b/pidgin/gtkxfer.c
@@ -546,7 +546,7 @@
 	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
 
 	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin/Xfer/xfer.ui");
+	        widget_class, "/im/pidgin/Pidgin3/Xfer/xfer.ui");
 
 	gtk_widget_class_bind_template_callback(widget_class, delete_win_cb);
 
diff --git a/pidgin/pidginabout.c b/pidgin/pidginabout.c
--- a/pidgin/pidginabout.c
+++ b/pidgin/pidginabout.c
@@ -89,7 +89,7 @@
 
 	/* now load the html */
 	istream = g_resource_open_stream(pidgin_get_resource(),
-	                                 "/im/pidgin/Pidgin/About/about.md",
+	                                 "/im/pidgin/Pidgin3/About/about.md",
 	                                 G_RESOURCE_LOOKUP_FLAGS_NONE, NULL);
 
 	str = g_string_new("");
@@ -121,7 +121,7 @@
 
 	/* get a stream to the credits resource */
 	istream = g_resource_open_stream(pidgin_get_resource(),
-	                                 "/im/pidgin/Pidgin/About/credits.json",
+	                                 "/im/pidgin/Pidgin3/About/credits.json",
 	                                 G_RESOURCE_LOOKUP_FLAGS_NONE, NULL);
 
 	/* create our parser */
@@ -522,7 +522,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 		widget_class,
-		"/im/pidgin/Pidgin/About/about.ui"
+		"/im/pidgin/Pidgin3/About/about.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAboutDialog, close_button);
diff --git a/pidgin/pidginaccountactionsmenu.c b/pidgin/pidginaccountactionsmenu.c
--- a/pidgin/pidginaccountactionsmenu.c
+++ b/pidgin/pidginaccountactionsmenu.c
@@ -239,7 +239,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Accounts/actionsmenu.ui"
+	    "/im/pidgin/Pidgin3/Accounts/actionsmenu.ui"
 	);
 
 	obj_class->get_property = pidgin_account_actions_menu_get_property;
diff --git a/pidgin/pidginaccountchooser.c b/pidgin/pidginaccountchooser.c
--- a/pidgin/pidginaccountchooser.c
+++ b/pidgin/pidginaccountchooser.c
@@ -105,7 +105,7 @@
 
 	/* Widget template */
 	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin/Accounts/chooser.ui");
+	        widget_class, "/im/pidgin/Pidgin3/Accounts/chooser.ui");
 }
 
 static void
diff --git a/pidgin/pidginaccountsmenu.c b/pidgin/pidginaccountsmenu.c
--- a/pidgin/pidginaccountsmenu.c
+++ b/pidgin/pidginaccountsmenu.c
@@ -238,7 +238,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Accounts/menu.ui"
+	    "/im/pidgin/Pidgin3/Accounts/menu.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAccountsMenu,
diff --git a/pidgin/pidginapplication.c b/pidgin/pidginapplication.c
--- a/pidgin/pidginapplication.c
+++ b/pidgin/pidginapplication.c
@@ -750,6 +750,5 @@
 		"flags", G_APPLICATION_CAN_OVERRIDE_APP_ID |
 		         G_APPLICATION_HANDLES_COMMAND_LINE,
 		"register-session", TRUE,
-		"resource-base-path", "/im/pidgin/Pidgin",
 		NULL);
 }
diff --git a/pidgin/pidginavatar.c b/pidgin/pidginavatar.c
--- a/pidgin/pidginavatar.c
+++ b/pidgin/pidginavatar.c
@@ -307,7 +307,7 @@
 		return FALSE;
 	}
 
-	builder = gtk_builder_new_from_resource("/im/pidgin/Pidgin/Avatar/menu.ui");
+	builder = gtk_builder_new_from_resource("/im/pidgin/Pidgin3/Avatar/menu.ui");
 	model = (GMenuModel *)gtk_builder_get_object(builder, "menu");
 
 	menu = gtk_menu_new_from_model(model);
@@ -498,7 +498,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Avatar/avatar.ui"
+	    "/im/pidgin/Pidgin3/Avatar/avatar.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginAvatar, icon);
diff --git a/pidgin/pidginclosebutton.c b/pidgin/pidginclosebutton.c
--- a/pidgin/pidginclosebutton.c
+++ b/pidgin/pidginclosebutton.c
@@ -41,7 +41,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/closebutton.ui"
+	    "/im/pidgin/Pidgin3/closebutton.ui"
 	);
 }
 
diff --git a/pidgin/pidgincontactlist.c b/pidgin/pidgincontactlist.c
--- a/pidgin/pidgincontactlist.c
+++ b/pidgin/pidgincontactlist.c
@@ -75,7 +75,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/BuddyList/window.ui"
+	    "/im/pidgin/Pidgin3/BuddyList/window.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginContactList, vbox);
diff --git a/pidgin/pidginconversationwindow.c b/pidgin/pidginconversationwindow.c
--- a/pidgin/pidginconversationwindow.c
+++ b/pidgin/pidginconversationwindow.c
@@ -46,7 +46,7 @@
 	                           GTK_APPLICATION(g_application_get_default()));
 
 	/* setup our menu */
-	builder = gtk_builder_new_from_resource("/im/pidgin/Pidgin/Conversations/menu.ui");
+	builder = gtk_builder_new_from_resource("/im/pidgin/Pidgin3/Conversations/menu.ui");
 
 	model = (GMenuModel *)gtk_builder_get_object(builder, "conversation");
 	menubar = gtk_menu_bar_new_from_model(model);
@@ -62,7 +62,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Conversations/window.ui"
+	    "/im/pidgin/Pidgin3/Conversations/window.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginConversationWindow,
diff --git a/pidgin/pidgindebug.c b/pidgin/pidgindebug.c
--- a/pidgin/pidgindebug.c
+++ b/pidgin/pidgindebug.c
@@ -513,7 +513,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 		widget_class,
-		"/im/pidgin/Pidgin/Debug/debug.ui"
+		"/im/pidgin/Pidgin3/Debug/debug.ui"
 	);
 
 	gtk_widget_class_bind_template_child(
@@ -580,7 +580,7 @@
 	GtkTextIter end;
 	GtkStyleContext *context;
 	GtkCssProvider *filter_css;
-	const gchar *res = "/im/pidgin/Pidgin/Debug/filter.css";
+	const gchar *res = "/im/pidgin/Pidgin3/Debug/filter.css";
 
 	gtk_widget_init_template(GTK_WIDGET(win));
 
diff --git a/pidgin/pidgininfopane.c b/pidgin/pidgininfopane.c
--- a/pidgin/pidgininfopane.c
+++ b/pidgin/pidgininfopane.c
@@ -176,7 +176,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Conversations/infopane.ui"
+	    "/im/pidgin/Pidgin3/Conversations/infopane.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginInfoPane, hbox);
diff --git a/pidgin/pidgininvitedialog.c b/pidgin/pidgininvitedialog.c
--- a/pidgin/pidgininvitedialog.c
+++ b/pidgin/pidgininvitedialog.c
@@ -176,7 +176,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 		widget_class,
-		"/im/pidgin/Pidgin/Conversations/invite_dialog.ui"
+		"/im/pidgin/Pidgin3/Conversations/invite_dialog.ui"
 	);
 
 	gtk_widget_class_bind_template_child_private(
diff --git a/pidgin/pidginlog.c b/pidgin/pidginlog.c
--- a/pidgin/pidginlog.c
+++ b/pidgin/pidginlog.c
@@ -658,7 +658,7 @@
 	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
 
 	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin/Log/log-viewer.ui");
+	        widget_class, "/im/pidgin/Pidgin3/Log/log-viewer.ui");
 
 	gtk_widget_class_bind_template_child_internal(
 	        widget_class, PidginLogViewer, browse_button);
diff --git a/pidgin/pidginpluginsdialog.c b/pidgin/pidginpluginsdialog.c
--- a/pidgin/pidginpluginsdialog.c
+++ b/pidgin/pidginpluginsdialog.c
@@ -301,7 +301,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 		widget_class,
-		"/im/pidgin/Pidgin/Plugins/dialog.ui"
+		"/im/pidgin/Pidgin3/Plugins/dialog.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginPluginsDialog, tree_view);
diff --git a/pidgin/pidginpluginsmenu.c b/pidgin/pidginpluginsmenu.c
--- a/pidgin/pidginpluginsmenu.c
+++ b/pidgin/pidginpluginsmenu.c
@@ -271,7 +271,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Plugins/menu.ui"
+	    "/im/pidgin/Pidgin3/Plugins/menu.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginPluginsMenu,
diff --git a/pidgin/pidginprotocolchooser.c b/pidgin/pidginprotocolchooser.c
--- a/pidgin/pidginprotocolchooser.c
+++ b/pidgin/pidginprotocolchooser.c
@@ -64,7 +64,7 @@
 	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
 
 	gtk_widget_class_set_template_from_resource(widget_class,
-	                                            "/im/pidgin/Pidgin/Protocols/chooser.ui");
+	                                            "/im/pidgin/Pidgin3/Protocols/chooser.ui");
 
 	gtk_widget_class_bind_template_child(widget_class, PidginProtocolChooser,
 	                                     model);
diff --git a/pidgin/plugins/disco/gtkdisco.c b/pidgin/plugins/disco/gtkdisco.c
--- a/pidgin/plugins/disco/gtkdisco.c
+++ b/pidgin/plugins/disco/gtkdisco.c
@@ -564,7 +564,7 @@
 	GtkWidgetClass *widget_class = GTK_WIDGET_CLASS(klass);
 
 	gtk_widget_class_set_template_from_resource(
-	        widget_class, "/im/pidgin/Pidgin/Plugin/XMPPDisco/disco.ui");
+	        widget_class, "/im/pidgin/Pidgin3/Plugin/XMPPDisco/disco.ui");
 
 	gtk_widget_class_bind_template_child(widget_class, PidginDiscoDialog,
 	                                     account_chooser);
diff --git a/pidgin/plugins/disco/resources/xmppdisco.gresource.xml b/pidgin/plugins/disco/resources/xmppdisco.gresource.xml
--- a/pidgin/plugins/disco/resources/xmppdisco.gresource.xml
+++ b/pidgin/plugins/disco/resources/xmppdisco.gresource.xml
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <gresources>
-  <gresource prefix="/im/pidgin/Pidgin/Plugin/XMPPDisco/">
+  <gresource prefix="/im/pidgin/Pidgin3/Plugin/XMPPDisco/">
     <file compressed="true">disco.ui</file>
   </gresource>
 </gresources>
diff --git a/pidgin/plugins/xmppconsole/xmppconsole.c b/pidgin/plugins/xmppconsole/xmppconsole.c
--- a/pidgin/plugins/xmppconsole/xmppconsole.c
+++ b/pidgin/plugins/xmppconsole/xmppconsole.c
@@ -568,7 +568,7 @@
 	console = g_new0(XmppConsole, 1);
 
 	builder = gtk_builder_new_from_resource(
-	        "/im/pidgin/Pidgin/Plugin/XMPPConsole/console.ui");
+	        "/im/pidgin/Pidgin3/Plugin/XMPPConsole/console.ui");
 	gtk_builder_set_translation_domain(builder, GETTEXT_PACKAGE);
 	console->window = GTK_WIDGET(
 	        gtk_builder_get_object(builder, "PidginXmppConsole"));
diff --git a/pidgin/plugins/xmppconsole/xmppconsole.gresource.xml b/pidgin/plugins/xmppconsole/xmppconsole.gresource.xml
--- a/pidgin/plugins/xmppconsole/xmppconsole.gresource.xml
+++ b/pidgin/plugins/xmppconsole/xmppconsole.gresource.xml
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <gresources>
-  <gresource prefix="/im/pidgin/Pidgin/Plugin/XMPPConsole/">
+  <gresource prefix="/im/pidgin/Pidgin3/Plugin/XMPPConsole/">
     <file compressed="true">console.ui</file>
   </gresource>
 </gresources>
diff --git a/pidgin/prefs/pidgincredentialproviderrow.c b/pidgin/prefs/pidgincredentialproviderrow.c
--- a/pidgin/prefs/pidgincredentialproviderrow.c
+++ b/pidgin/prefs/pidgincredentialproviderrow.c
@@ -175,7 +175,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Prefs/credentialprovider.ui"
+	    "/im/pidgin/Pidgin3/Prefs/credentialprovider.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class,
diff --git a/pidgin/prefs/pidgincredentialspage.c b/pidgin/prefs/pidgincredentialspage.c
--- a/pidgin/prefs/pidgincredentialspage.c
+++ b/pidgin/prefs/pidgincredentialspage.c
@@ -191,7 +191,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 	    widget_class,
-	    "/im/pidgin/Pidgin/Prefs/credentials.ui"
+	    "/im/pidgin/Pidgin3/Prefs/credentials.ui"
 	);
 
 	gtk_widget_class_bind_template_child(widget_class, PidginCredentialsPage,
diff --git a/pidgin/prefs/pidginprefs.c b/pidgin/prefs/pidginprefs.c
--- a/pidgin/prefs/pidginprefs.c
+++ b/pidgin/prefs/pidginprefs.c
@@ -1717,7 +1717,7 @@
 {
 	GtkStyleContext *context;
 	GtkCssProvider *ip_css;
-	const gchar *res = "/im/pidgin/Pidgin/Prefs/ip.css";
+	const gchar *res = "/im/pidgin/Pidgin3/Prefs/ip.css";
 
 	gtk_entry_set_text(GTK_ENTRY(win->network.stun_server),
 			purple_prefs_get_string("/purple/network/stun_server"));
@@ -2375,7 +2375,7 @@
 	GtkWidget *ret;
 	PurpleMediaManager *manager;
 
-	builder = gtk_builder_new_from_resource("/im/pidgin/Pidgin/Prefs/vv.ui");
+	builder = gtk_builder_new_from_resource("/im/pidgin/Pidgin3/Prefs/vv.ui");
 	gtk_builder_set_translation_domain(builder, PACKAGE);
 
 	ret = GTK_WIDGET(gtk_builder_get_object(builder, "vv.page"));
@@ -2459,7 +2459,7 @@
 
 	gtk_widget_class_set_template_from_resource(
 		widget_class,
-		"/im/pidgin/Pidgin/Prefs/prefs.ui"
+		"/im/pidgin/Pidgin3/Prefs/prefs.ui"
 	);
 
 	/* Main window */
diff --git a/pidgin/resources/About/about.ui b/pidgin/resources/About/about.ui
--- a/pidgin/resources/About/about.ui
+++ b/pidgin/resources/About/about.ui
@@ -117,7 +117,7 @@
                   <object class="GtkImage" id="logo">
                     <property name="visible">True</property>
                     <property name="can-focus">False</property>
-                    <property name="resource">/im/pidgin/Pidgin/logo.png</property>
+                    <property name="resource">/im/pidgin/Pidgin3/logo.png</property>
                     <property name="icon_size">6</property>
                   </object>
                 </child>
diff --git a/pidgin/resources/Debug/plugininfo.ui b/pidgin/resources/Debug/plugininfo.ui
--- a/pidgin/resources/Debug/plugininfo.ui
+++ b/pidgin/resources/Debug/plugininfo.ui
@@ -69,7 +69,7 @@
           <object class="GtkImage" id="logo">
             <property name="visible">True</property>
             <property name="can-focus">False</property>
-            <property name="resource">/im/pidgin/Pidgin/logo.png</property>
+            <property name="resource">/im/pidgin/Pidgin3/logo.png</property>
           </object>
           <packing>
             <property name="expand">False</property>
diff --git a/pidgin/resources/pidgin.gresource.xml b/pidgin/resources/pidgin.gresource.xml
--- a/pidgin/resources/pidgin.gresource.xml
+++ b/pidgin/resources/pidgin.gresource.xml
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <gresources>
-  <gresource prefix="/im/pidgin/Pidgin/">
+  <gresource prefix="/im/pidgin/Pidgin3/">
     <file>logo.png</file>
     <file compressed="true">About/about.ui</file>
     <file compressed="true">About/about.md</file>
